<?php
mb_internal_encoding("EUC-JP");
$data = "サーバーは今 --".$_POST['data']."-- を受信しました。";
$data = mb_convert_encoding($data,"UTF-8");
$data = htmlspecialchars($data,0,"UTF-8");
$data = rawurlencode($data); 
mb_http_output ( 'UTF-8' );
echo ($data);

?>